package com.ywt.mg.domain.models.enums;

import com.ywt.mg.core.utils.Checker;

public enum MedicalRecordMailingOrdersCheckStatusEnum {

    Passed("审核通过", 1),
    NoPassed("审核不通过", 2);

    private final String displayName;

    private final int value;

    MedicalRecordMailingOrdersCheckStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static MedicalRecordMailingOrdersCheckStatusEnum valueOf(int value) {
        for (MedicalRecordMailingOrdersCheckStatusEnum enumObj : MedicalRecordMailingOrdersCheckStatusEnum.values()) {
            if (enumObj.getValue() == value) {
                return enumObj;
            }
        }
        return null;
    }
    public static String getDisplayName(int value) {
        MedicalRecordMailingOrdersCheckStatusEnum enumObj = valueOf(value);
        if (!Checker.isNone(enumObj)){
            return enumObj.displayName;
        }
        return "";
    }
}
